<!DOCTYPE html>
<html lang="en">
<head>          
	<meta charset="UTF-8">
	<title>Studio Ghibli API Example</title>
	<link rel="stylesheet" href="styles/styles.css" type="text/css">
</head>
<body>

<h1>Studio Ghibli Movie List</h1>

<p>Source: <a href="https://ghibliapi.herokuapp.com/?ref=apilist.fun#section/Studio-Ghibli-API">Studio Ghibli API</a><p>

<?php 

/* initialize a HTTP connection via cURL */
$curl = curl_init();

/* define cURL options: URL, returns a string and set a 3-seconds timeout */
curl_setopt($curl, CURLOPT_URL, "https://ghibliapi.herokuapp.com/films/");
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_CONNECTTIMEOUT, 3);

/* execute the cURL command */
$jsonFile = curl_exec($curl);

/* close the connection */
curl_close($curl);

/* check if an actual result has been received */
If (empty($jsonFile))
{
	print("<p>Unable to access the data source.</p>\n\n");
	print("</body>\n</html>\n");
	exit();
}

/* accessing the JSON data structure */
$jsonContent = json_decode($jsonFile);

ForEach ($jsonContent as $movie)
{
	print("<ul>\n");
	print("<li>Title: $movie->title</li>\n");
	print("<li>Original title: $movie->original_title</li>\n");
	print("<li>Release Date: $movie->release_date</li>\n");
	print("</ul>\n\n");
}
?>
</body>
</html>
